# Uses of Class
jdk.incubator.foreign.SequenceLayout

Packages that use SequenceLayout
Package
Description
jdk.incubator.foreign
Classes to support low-level and efficient foreign memory/function access, directly from Java.

## Uses of SequenceLayout in jdk.incubator.foreign

Methods in jdk.incubator.foreign that return SequenceLayout
Modifier and Type
Method
Description
`SequenceLayout`
SequenceLayout.`flatten()`
Returns a new, flattened sequence layout whose element layout is the first non-sequence element layout found by recursively traversing the element layouts of this sequence layout.
`SequenceLayout`
SequenceLayout.`reshape(long... elementCounts)`
Returns a new sequence layout where element layouts in the flattened projection of this sequence layout (see `flatten()`) are re-arranged into one or more nested sequence layouts according to the provided element counts.
`static SequenceLayout`
MemoryLayout.`sequenceLayout(long elementCount, MemoryLayout elementLayout)`
Create a new sequence layout with given element layout and element count.
`static SequenceLayout`
MemoryLayout.`sequenceLayout(MemoryLayout elementLayout)`
Create a new sequence layout, with unbounded element count and given element layout.
`SequenceLayout`
SequenceLayout.`withBitAlignment(long alignmentBits)`
Creates a new layout which features the desired alignment constraint.
`SequenceLayout`
SequenceLayout.`withElementCount(long elementCount)`
Obtains a new sequence layout with same element layout, alignment constraints and name as this sequence layout but with the new specified element count.
`SequenceLayout`
SequenceLayout.`withName(String name)`
Creates a new layout which features the desired layout name.
Methods in jdk.incubator.foreign that return types with arguments of type SequenceLayout
Modifier and Type
Method
Description
`Optional<DynamicConstantDesc<SequenceLayout>>`
SequenceLayout.`describeConstable()`